Hlavní navigace

Kritická chyba v Glibc od roku 2008

Jan Fikar

Google a Red Hat nezávisle objevili kritickou chybu v Glibc. Je označená CVE-2015–7547 a jde o přetečení zásobníku ve funkci getaddrinfo(). Chyba se týká všech verzí od 2.9 vydané v květnu 2008.

Chyba umožňuje vzdálené spuštění kódu. Ohroženy jsou pravděpodobně všechny linuxové servery a androidí aplikace, které používají Glibc. Patch byl dnes vydán.

(zdroj)

Našli jste v článku chybu?